# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

# [0.6.1] - 2021-10-20
### Added
- Privacy policy link to comply with google play policies

# [0.6.0] - 2021-08-07 
### Changed
- The subtitle in results and startlists is now the route name instead of the category name

### Added
- Dark mode
- QR-Code scanning
- Sharing of every view using either link, QR-Code or a poster
- Text which is too large too fit is scrollable now in most places
- German translations
- URL handler for https://l.bluerock.dev and https://app.bluerock.dev

### Fixed
- Rare issue with missing background in boulder result rect

# [0.5.1] - 2021-07-06
### Fixed
- In-app purchase

# [0.05] - 2021-06-07
### Changed
- the boulder result rect doesn't have a background if there is no result now
- the selected route is kept when changing cats
- the boulder result rect now shows the number of tries when there is not zone or top yet
- the speed flowchart now blocks the back key from closing the competition and instead closes itself
- redesigned start page
- added disclaimer regarding IFSC results
- some internal refactoring
- the calendar now scrolls less far down
- improoved layout in landscape mode
- some design changes in profile page and speed flowchart

### Added
- Second link for "further infos" in calendar

# [0.03.0] - 2019-07-11
### Added
- it is now possible to pin competitions and only show these
- flowcharts for the speed finals are now available

# [0.02.0] - 2019-06-23
### Added
- start number is now visible after the name (in startlists and results)
- it is now possible to filter the competitons by competiton type (eg. worldcup, youth event, etc.)
- event website url is now present in the cat select dialog if available

### Changed
- competitons are clickable if there is a infosheet or event website url available even when they don't have any categories

# [0.01.6] - 2019-06-15
### Fixed
- label for IFSC calendar

# [0.01.5] - 2019-06-15
### Fixed
- layout fixes
- cat when changing from 'MEN' to 'WOMEN' 'MEN' is not missing anymore

### Added
- infosheet url is now present in the cat select dialog if available

# [0.01.4b] - 2019-05-31
### Fixed
- fixed some errors that occurred when changing categories
- fixed layout bugs
- new app icon

## [0.01.3b] - 2019-05-25
### Fixed
- minor bug fixes

## [0.01.2b] - 2019-05-24
### Added
- added ability to change category in results without going back to calendar

## [0.01.1b] - 2019-05-14
### Added
- added animations to text and objects at the top toolbar
- added athlete view (click on athlete to open) (still missing ranking results)
- coloring on competitons is now the same as on digitalrock.de

## [0.01b] - 2019-05-11
### Added
- initial release

