import QtQuick 2.9
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.0

RowLayout {
    id: control

    Image {
        Layout.preferredHeight: parent.height
        Layout.preferredWidth: height
        Layout.alignment: Layout.Center

        fillMode: Image.PreserveAspectFit
        mipmap: true

        source: "qrc:/icons/blueRockHold.png"
    }

    Label {
        Layout.preferredHeight: parent.height
        Layout.fillWidth: true
        Layout.alignment: Layout.Center

        fontSizeMode: Text.Fit
        font.pixelSize: parent.height * 0.6
        font.bold: true

        verticalAlignment: Text.AlignVCenter

        text: "blueROCK"
    }
}
